You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@impala.apache.org by tm...@apache.org on 2019/06/14 23:07:19 UTC

[impala] 01/02: Remove "Could not transfer" exclusion in mvn-quiet.sh

This is an automated email from the ASF dual-hosted git repository.

tmarshall pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/impala.git

commit 02a79822eb1714293ba72c18b52181f33663843a
Author: Fredy Wijaya <fw...@cloudera.com>
AuthorDate: Thu Jun 13 19:10:08 2019 -0700

    Remove "Could not transfer" exclusion in mvn-quiet.sh
    
    "Could not transfer" warning messages are noisy. However, excluding
    "Could not transfer" words can lead to actual error messages that
    contain "Could not transfer" to not be shown in the stdout, which can
    make debugging difficult. This patch updates mvn-quiet.sh to show
    "Could not transfer" messages.
    
    Testing:
    - Ran FE build
    
    Change-Id: Ide3367fd98abbbe11eec1fa86fbad8b32eeecb8d
    Reviewed-on: http://gerrit.cloudera.org:8080/13647
    Reviewed-by: Impala Public Jenkins <im...@cloudera.com>
    Tested-by: Impala Public Jenkins <im...@cloudera.com>
---
 bin/mvn-quiet.sh | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/bin/mvn-quiet.sh b/bin/mvn-quiet.sh
index 709ad28..beeaeb9 100755
--- a/bin/mvn-quiet.sh
+++ b/bin/mvn-quiet.sh
@@ -32,8 +32,7 @@ Directory $(pwd)
 EOF
 
 if ! mvn $IMPALA_MAVEN_OPTIONS "$@" | \
-  tee -a "$LOG_FILE" | grep -E -e WARNING -e ERROR -e SUCCESS -e FAILURE -e Test | \
-    grep -v "Could not transfer"; then
+  tee -a "$LOG_FILE" | grep -E -e WARNING -e ERROR -e SUCCESS -e FAILURE -e Test; then
   echo "mvn $IMPALA_MAVEN_OPTIONS $@ exited with code $?"
   exit 1
 fi